package hdm.mi.growbros.service;

import hdm.mi.growbros.models.plant.Plant;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.HashMap;
import java.util.UUID;

@Service
public class PlantsService {
    private final HashMap<String, Plant> db = new HashMap<>();

    public Collection<Plant> getPlants() {
        return db.values();
    }

    public void create(Plant plant) {
        plant.setId(UUID.randomUUID().toString());
        db.put(plant.getId(), plant);
    }
}
